import CoUxNotificationItem from '../../../../components/10x/ux/ux-notification-item.js'
import CoUxNotificationsPanel from '../../../../components/10x/ux/ux-notifications-panel.js'
import EuiBasePage from '../eui-base.po.js'

export default class NotificationsPage extends EuiBasePage {

  constructor() {
      super();
  }
  notificationItemByIndex(index) {
    const notificationItem1 =  new CoUxNotificationItem(this.mainContent);
    return notificationItem1.byIndex(index);
  }
  notificationItemByTextContains(text) {
    let notificationItem1 = new CoUxNotificationItem(this.mainContent);
    return notificationItem1.byTextContains(text);
  }
  notificationItemByTextContainsAndIndex(text, index, normalize=true) {
    let notificationItem1 = new CoUxNotificationItem(this.mainContent);
    return notificationItem1.byTextContainsAndIndex(text, index, normalize);
  }
  notificationItemFromSectionById(id) {
    return new CoUxNotificationItem(this.sectionById(id));
  }
  notificationItemFromSectionWithIdByIndex(id, index) {
    const notificationItem1 = new CoUxNotificationItem(this.sectionById(id));
    return notificationItem1.byIndex(index);
  }
   notificationsPanelByIndex(index) {
    const notificationsPanel1 =  new CoUxNotificationsPanel(this.mainContent);
    return notificationsPanel1.byIndex(index);
  }
  notificationsPanelByTextContains(text) {
    let notificationsPanel1 = new CoUxNotificationsPanel(this.mainContent);
    return notificationsPanel1.byTextContains(text);
  }
  notificationsPanelByTextContainsAndIndex(text, index, normalize=true) {
    let notificationsPanel1 = new CoUxNotificationsPanel(this.mainContent);
    return notificationsPanel1.byTextContainsAndIndex(text, index, normalize);
  }
  notificationsPanelFromSectionById(id) {
    return new CoUxNotificationsPanel(this.sectionById(id));
  }
  notificationsPanelFromSectionWithIdByIndex(id, index) {
    const notificationsPanel1 = new CoUxNotificationsPanel(this.sectionById(id));
    return notificationsPanel1.byIndex(index);
  }
}


